/*
# Filename:      usleep.c
# Purpose:       sleeps for a number of microseconds, see man 3 usleep
# Authors:       grml-team (grml.org), (c) Michael Prokop <mika@grml.org>
# Bug-Reports:   see http://grml.org/bugs/
# License:       This file is licensed under the GPL v2.
# Latest change: Sam Jn 01 17:18:13 CET 2005 [mika]
############################################################################# */

#include <unistd.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>
 
#define WRITE(x) write(1, x, strlen(x))

int main(int argc,char** argv)
{
  unsigned long time;

  if (argc != 2) {
    WRITE("Usage: usleep useconds\n");
    return EXIT_FAILURE;
  }

  time = strtoul(argv[1],0,10); 
  if(errno == EINVAL || errno == ERANGE)
    return EXIT_FAILURE;

  usleep(time);
  return EXIT_SUCCESS;
}

/* END OF FILE ###############################################################*/
